Q               := @
CC              := gcc -std=gnu99
SRCS            := $(wildcard *.c)
OBJS         	:= $(SRCS:.c=.o)
TARGET			:= UISM
LIBS         	:= ./libuism.so ./libHidDeviceSdk.so -ludev
CFLAGS       	:= -Wall -I ./include -fPIC -D_DEFAULT_SOURCE
LDFLAGS      	:= $(LIBS)

.PHONY: all both clean

all: .depend $(TARGET)

%.o: %.c Makefile
	$(Q)echo "  Compiling '$<' ..."
	$(Q)$(CC) $(CFLAGS) -o $@ -c $<

$(TARGET): $(OBJS)
	$(Q)echo "  $(COLOR_G)Building '$@' VER=$(AP_VER)... $(COLOR_W)"
	$(Q)$(CC) -o $(TARGET) $(OBJS) $(LDFLAGS)

clean:
	$(Q)rm -f .depend *~ *.bak *.res *.o
	$(Q)echo "  Cleaning '$(TARGET)' ..."
	$(Q)rm -f $(TARGET)

.depend:
	$(Q)echo "  Generating '$@' ..."
	$(Q)$(CC) $(CFLAGS) -M *.c > $@

ifeq (.depend, $(wildcard .depend))
	include .depend
endif
